# Fill

Fill : `OverlayBase`

## Overview

BasePart의 외형 전체를 색상으로 덧씌워 표시할 수 있는 인스턴스입니다.

Outline과 달리, DepthMode 속성을 통해 다른 물체에 의해 가려진 상황에서도 표시 여부를 세밀하게 제어할 수 있습니다.

## Properties

### Color

`Color3`

표시할 색상입니다.

#### Code Samples

```lua
local Fill = script.Parent

Fill.Color = Color3.fromRGB(0, 0, 255)
```

### DepthMode

`Enum.FillDepthModeType`

다른 물체에 의해 가려졌을 때 어떻게 표시되는지를 결정합니다.

* `AlwaysOnTop`: 가려짐 여부와 상관없이 항상 표시됩니다.
* `VisibleWhenNotOccluded`: 객체가 다른 물체에 가려지지 않은 경우에만 표시됩니다.
* `VisibleWhenOccluded`: 객체가 다른 물체에 의해 가려졌을 때만 표시됩니다.

#### Code Samples

```lua
local Fill = script.Parent

Fill.DepthMode = Enum.FillDepthModeType.VisibleWhenNotOccluded
```

### Transparency

`number`

색상의 투명도입니다.

#### Code Samples

```lua
local Fill = script.Parent

Fill.Transparency = 0.5
```

## Methods

## Events

## See also

{% content-ref url="/pages/jN1xHUc2DR9TFmM5zMru" %}
[Outline/Fill](/korean/manual/studio-manual/object/outline-fill.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/classes/fill.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
